<script>
	import { onMount } from 'svelte';
	import { goto } from '$app/navigation';
	let autorizado = false;
	import { browser } from '$app/environment';
	let flag = null;

	if (browser) {
		flag = localStorage.getItem('flag');
	}

	onMount(async () => {
		if (flag !== 'admin' && flag !== 'waiter' && flag !== 'kitchen' && flag !== 'cashier') {
			goto('/login');
		} else {
			autorizado = true;
		}
	});
</script>

{#if autorizado}
	<slot />
{/if}
